import pyglet
from pyglet import resource

import pymunk as pm
from pymunk.vec2d import Vec2d

import base
import data


class Block(base.CollideSprite):
	collide_type = "block"
	mass = pm.inf
	shape_group = 104
	
	width = 100.
	height = 100.
	
	def __init__(self, img=None, batch=None, width=100., height=100.):
		self.width = width
		self.height = height
		if (img == None):
			img = resource.image(data.filepath('bluebox.png'))
		super(Block, self).__init__(img, batch=batch)
		
	def physics_shape(self):
		half_width = self.width * 0.5
		half_height = self.height * 0.5
		verts = [Vec2d(-half_width, -half_height), Vec2d(-half_width, half_height), Vec2d(half_width, half_height), Vec2d(half_width, -half_height)]
		return pm.Poly(self.body, verts, Vec2d(0,0))
		
	def physics_inertia(self):
		return pm.inf
		